This .NET class wraps the AcDbPolyline ObjectARX class.
Polyline is often called a lightweight polyline because of its efficient use of memory. Polyline provides greater performance and reduced overhead compared to Polyline2d. Its database representation is more efficient because it is stored as a single object with a single name, handle, type, space, layer, and width.
A lightweight polyline has:
Functionality and command options not available in a lightweight polyline include:
The lightweight polyline is created with the PLINE command and edited with the PEDIT command. When creating or editing lightweight polylines, the command options for PLINE and PEDIT remain the same as in previous releases.
The PEDIT command edits lightweight polylines in the same manner as Polyline2d in previous releases. If the Spline or Fit option is entered, then the lightweight polyline is converted to an Polyline2d for the duration of the edit. The handle is always maintained; it does not change. The handle of the lightweight polyline becomes the handle for the Polyline2d (the header entity for the old style polyline entity that contains subentities).
Grip behavior is identical to that of Polyline2d. Behavior with all AutoCAD edit commands also remains the same.
Lightweight polyline properties include color, layer, linetype, ltype scale, width, and thickness. All properties apply to the entire object and cannot vary between individual segments.
Autodesk.AutoCAD.DatabaseServices.DBObject Autodesk.AutoCAD.DatabaseServices.Entity Autodesk.AutoCAD.DatabaseServices.Curve Autodesk.AutoCAD.DatabaseServices.Polyline
Public Class Polyline Inherits Curve
public class Polyline : Curve;
The Polyline class overrides the Entity.SaveAs() method. Polyline.SaveAs() does not call the entity's WorldDraw(), nor does it draw graphics for proxies. Therefore, you need to implement your own SaveAs() method to generate graphics when AutoCAD is obtaining proxy graphics on any objects of your class.
The number of vertices in a lightweight polyline must be greater than one. A polyline with 0 or 1 vertices should not be posted or left remaining in the database.
Entity, DBObject, Polyline2d
Comments? |